> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/mandiri/purchase-without-otp.md).

# Purchase without OTP

### Endpoint

| Environment | Method | URL                                                              |
| ----------- | ------ | ---------------------------------------------------------------- |
| Development | POST   | <https://devo.finnet.co.id/pg/payment/card/directdebit/purchase> |
| Production  | POST   | <https://live.finnet.co.id/pg/payment/card/directdebit/purchase> |

### Body Request

Content-Type: `application/json`.

| No | Name                    | Type   | Mandatory | Description                                    |
| -- | ----------------------- | ------ | --------- | ---------------------------------------------- |
| 1  | customer                | Object | M         | Customer identity and contact details.         |
| 2  | customer.email          | String | M         | Customer email.                                |
| 3  | customer.firstName      | String | M         | Customer first name.                           |
| 4  | customer.lastName       | String | M         | Customer last name.                            |
| 5  | customer.mobilePhone    | String | M         | Use international format (example: `+628...`). |
| 6  | order                   | Object | M         | Order details.                                 |
| 7  | order.id                | String | M         | Unique order ID from your system.              |
| 8  | order.amount            | String | M         | Amount as string. Example: `"1000"`.           |
| 9  | order.currency          | String | M         | Currency code. Example: `IDR`.                 |
| 10 | order.description       | String | M         | Order description.                             |
| 11 | url                     | Object | M         | Callback configuration.                        |
| 12 | url.callbackUrl         | String | M         | URL to receive payment result callback.        |
| 13 | sourceOfFunds           | Object | M         | Funding source configuration.                  |
| 14 | sourceOfFunds.type      | String | M         | Value for Mandiri Direct Debit: `ddmandiri`.   |
| 15 | sourceOfFunds.accountId | String | M         | Mandiri Direct Debit account token.            |

#### Sample Request

```json
{
  "customer": {
    "email": "finnet@finpay.id",
    "firstName": "Finnet",
    "lastName": "Finpay",
    "mobilePhone": "+628123456789"
  },
  "order": {
    "id": "{{$string.uuid}}",
    "amount": "1000",
    "currency": "IDR",
    "description": "Testing"
  },
  "url": {
    "callbackUrl": "https://sandbox.finpay.co.id/simdev/finpay/result/resultsuccess.php"
  },
  "sourceOfFunds": {
    "type": "ddmandiri",
    "accountId": "1B69E74FE55FECDE80F58404CE22F2CB"
  }
}
```

### Body Response

#### `200 OK`

Returns `application/json`.

| No | Name            | Type                                                              | Mandatory | Description                             |
| -- | --------------- | ----------------------------------------------------------------- | --------- | --------------------------------------- |
| 1  | responseCode    | [Enum](/api-reference/appendix/enumeration/response-code-list.md) | M         | Response Code.                          |
| 2  | responseMessage | String                                                            | M         | Response Message.                       |
| 3  | processingTime  | Number                                                            | M         | Processing time.                        |
| 4  | traceId         | String                                                            | M         | Trace ID for debugging/troubleshooting. |

#### Sample Response

```json
{
  "responseCode": "2000000",
  "responseMessage": "Request has been processed successfully",
  "processingTime": 0.04789113998413086,
  "traceId": "a420b67f-87ce-46c9-a2c1-ce2f5128f02b"
}
```

{% hint style="info" %}
Need an OTP flow? Use [Request OTP Purchase](/api-reference/finpay-pg/core-api/direct-debit/mandiri/request-otp-purchase.md) and then [Purchase with OTP](/api-reference/finpay-pg/core-api/direct-debit/mandiri/purchase-with-otp.md).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-pg/core-api/direct-debit/mandiri/purchase-without-otp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
